SDL_GetMaxHapticEffectsPlaying(3)

NAME
SDL_GetMaxHapticEffectsPlaying - Get the number of effects a haptic device can play at the same time.

SYNOPSIS
#include <SDL3/SDL_haptic.h>

int SDL_GetMaxHapticEffectsPlaying(SDL_Haptic *haptic);

DESCRIPTION
This is not supported on all platforms, but will always return a value.

FUNCTION PARAMETERS

haptic
    the SDL_Haptic device to query maximum playing effects.

RETURN VALUE
Returns the number of effects the haptic device can play at the same time or -1 on failure; call SDL_GetError() for more information.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetMaxHapticEffects(3), SDL_GetHapticFeatures(3)